END(3)

NAME
end, etext, edata - last locations in program

SYNOPSIS
extern end;
extern etext;
extern edata;

DESCRIPTION
These names refer neither to routines nor to locations with interesting contents. The address of etext is the first address above the program text, edata above the initialized data region, and end above the uninitialized data region.

When execution begins, the program break coincides with end, but it is reset by the routines brk(2), malloc(3), standard input/output (stdio(3S)), the profile (-p) option of cc(1), etc. The current value of the program break is reliably returned by `sbrk(0)', see brk(2).

SEE ALSO
brk(2), malloc(3)